#ifndef LOCALHISTLINCLASS_H_
#define LOCALHISTLINCLASS_H_

#include "common.h"
#include "localhistintegral.h"

#include "linclass.h"

// function [y,dscr]=localhistlinclass(X,rule)
//
// y=localhistlinclass(data,rule)
//
// Input:
//     rule.fun='localhistlinclass'
//     rule.model
//     rule.ftype
//     rule.rect
//     rule.trainerror

bool localhistlinclass(StageRule const & rule,
                       CvMat ** integral_block_histogram,
                       uint channels,
                       uint left, uint top,
                       uint width, uint height);

#endif
